package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProductChargingMapper;
import com.ruoyi.system.domain.ProductCharging;
import com.ruoyi.system.service.IProductChargingService;

/**
 * 充电交流舱表 服务实现
 *
 * @author ruoyi
 */
@Service
public class ProductChargingServiceImpl implements IProductChargingService
{
    @Autowired
    private ProductChargingMapper productChargingMapper;

    /**
     * 查询充电交流舱集合
     *
     * @param productCharging 充电交流舱信息
     * @return 充电交流舱集合
     */
    @Override
    public List<ProductCharging> selectProductChargingList(ProductCharging productCharging)
    {
        return productChargingMapper.selectProductChargingList(productCharging);
    }

    /**
     * 分页查询充电交流舱集合
     *
     * @param productCharging 充电交流舱信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectProductChargingListByPage(ProductCharging productCharging, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<ProductCharging> list = productChargingMapper.selectProductChargingList(productCharging);
        PageInfo<ProductCharging> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询充电交流舱信息
     *
     * @return 充电交流舱信息
     */
    @Override
    public ProductCharging selectProductChargingById(String productId)
    {
        return productChargingMapper.selectProductChargingById(productId);
    }

    /**
     * 新增充电交流舱信息
     *
     * @param productCharging 充电交流舱信息
     * @return 结果
     */
    @Override
    public int insertProductCharging(ProductCharging productCharging)
    {
        return productChargingMapper.insertProductCharging(productCharging);
    }

    /**
     * 修改充电交流舱信息
     *
     * @param productCharging 充电交流舱信息
     * @return 结果
     */
    @Override
    public int updateProductCharging(ProductCharging productCharging)
    {
        return productChargingMapper.updateProductCharging(productCharging);
    }

    /**
     * 删除充电交流舱信息
     *
     * @return 结果
     */
    @Override
    public int deleteProductChargingById(String ProductId)
    {
        return productChargingMapper.deleteProductChargingById(ProductId);
    }

    /**
     * 批量删除充电交流舱信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductChargingByIds(Long[] ids)
    {
        return productChargingMapper.deleteProductChargingByIds(ids);
    }
}